Bug 20746 - Improve behaviour of onboarding tool for Italian by standardizing file structure of it-IT installer
Summary: Improve behaviour of onboarding tool for Italian by standardizing file struct...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: PC Linux
: P3 normal with 10 votes (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-09 16:04 UTC by Giuseppe Ciaccio
Modified: 2018-10-24 09:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20746: Move it-IT files to optional (3.79 KB, patch)
2018-05-09 17:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
k (1.71 KB, patch)
2018-05-10 15:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20746: Move it-IT files to optional (3.84 KB, patch)
2018-05-10 15:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20746: Move it-IT files to optional (3.89 KB, patch)
2018-05-10 17:39 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Ciaccio 2018-05-09 16:04:40 UTC
The install/config wizard follows a number of consecutive steps.  At some point there is a step "create a patron category", where one can define the "admin" patron category, later referred to when subsequently creating the administrator account.

However, when choosing italian language for the install wizard, the "create a patron category" step is skipped.  Therefore, in the step of creating an administrator account, one has to choose "staff" as the category.

This by no means hampers the installation/configuration (apparently), but looks suspicious and deserves some investigation IMHO.
Comment 1 Jonathan Druart 2018-05-09 16:31:02 UTC
This step is skipped because patron categories are marked as "mandatory", they are in the following files: installer/data/mysql/it-IT/necessari/patron_categories.sql

If you uncheck the checkbox related to this file, you will see this step.
Comment 2 Giuseppe Ciaccio 2018-05-09 17:11:46 UTC
Fine, but then I cannot see the reason why a "mandatory" step could be optional. Anyway the real point is that I would not expect the default behaviour of an install wizard to depend on the chosen language.  IMHO this must be fixed (and the fix seems trivial, by the way).
Comment 3 Jonathan Druart 2018-05-09 17:36:12 UTC
The main problem I guess is that italian installer files do not follow the same pattern as other installer files.
Comment 4 Jonathan Druart 2018-05-09 17:36:46 UTC
Created attachment 75212 [details] [review]
Bug 20746: Move it-IT files to optional
Comment 5 Katrin Fischer 2018-05-10 15:54:58 UTC
Created attachment 75228 [details] [review]
k
Comment 6 Katrin Fischer 2018-05-10 15:55:25 UTC
Created attachment 75229 [details] [review]
Bug 20746: Move it-IT files to optional

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 M. Tompsett 2018-05-10 17:39:15 UTC
Created attachment 75236 [details] [review]
Bug 20746: Move it-IT files to optional

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-05-10 17:40:45 UTC
Counting Mark for SO and mine for QA.
Comment 9 Jonathan Druart 2018-05-11 14:13:29 UTC
Pushed to master for 18.05, thanks to everybody involved!